<?php
/*
 * DS Lightbox system plugin for Joomla! 2.5 & 3.x
 * @version   2.1
 * @author    Dzyanis Sukhanitski (mail@dzyanis.com)
 * @copyright Copyright 2015 Dzyanis Sukhanitski. All rights reserved.
 * @license   GNU Public License
 * @link      http://dzyanis.com/myprojects/dslightbox
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

// Import the parent class
jimport('joomla.plugin.plugin');

class plgSystemDslightbox extends JPlugin
{
	// @var JApplication
	protected $app;

	// Event onAfterRender
	public function onAfterDispatch()
	{
		// Dot not load if this is not the right document-class
		$document = JFactory::getDocument();
		
		if ($document->getType() != 'html')
		{
			return false;
		}

		// Perform actions on the frontend
		if ($this->app->isSite())
		{
			// Load font CSS
			$this->loadStylesheet('flaticon.css');

			// Load main CSS
			$this->loadStylesheet('dslightbox.css');
			
			// Show gallery navigation for article only
			$ds_jinput = JFactory::getApplication()->input;
			$ds_view   = $ds_jinput->getCmd('view');   // This gets the view
			if ($ds_view == 'article')
			{
				// This lets navigation
				$this->loadScript('dslightbox-nav.js');
			}

			// Load Majour JavaScript
			$this->loadScript('dslightbox.js');
		}
	}

	// Load a script
	private function loadScript($file = null)
	{
		$folder = 'media/plg_dslightbox/js/';
		JFactory::getDocument()->addScript($folder . $file);
	}

	// Load a stylesheet
	private function loadStylesheet($file = null, $condition = true)
	{
		$folder = 'media/plg_dslightbox/css/';
		JFactory::getDocument()->addStylesheet($folder . $file);
	}

}